Subject: Mystery Plant

From: [email-masked]
Date: 17 Mar 1996 17:58:02 -0700

I have a plant that I cannot identify.  Although I sent cuttings to our 
natural history museum and a local botanical garden, no one has been able to 
identify it.  I bought the plant over ten years ago from a woman who called it 
a "Salt and Pepper Plant."  It is a huge, vining plant, weighing at least 25 
lbs.  The leaves are sturdy and roundish, the largest ones measuring about 5 
inches across.  It is in a corner of the room and hangs down about 6 feet 
long.  The plant forms crystals along its stems which resemble salt crystals. 
 On the underside of the leaves it forms black specks.  (No, these are not 
bugs.)  It seems to grow the fastest when the weather is humid and tropical.  
It is very hardy and the only time I had trouble with it was an attack of 
mealybugs a few years ago.  As far as I know, it has never produced flowers.  

Can anyone out there give me a clue as to what kind of plant this is and where 
 it may have originated?  Please write to me at:  [email-masked]